summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-util/ticpp/ChangeLog4
-rw-r--r--dev-util/ticpp/Manifest4
-rw-r--r--dev-util/ticpp/ticpp-9999.ebuild9
3 files changed, 10 insertions, 7 deletions
diff --git a/dev-util/ticpp/ChangeLog b/dev-util/ticpp/ChangeLog
index c32e56e98..ceecebb1b 100644
--- a/dev-util/ticpp/ChangeLog
+++ b/dev-util/ticpp/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 15 Mar 2007; Patrick Zimmermann (moHiJ) <patrick@zakweb.de>
+ ticpp-9999.ebuild:
+ ticpp is a fork of tinyxml and not a plain wrapper that builds on top of it
+
13 Mar 2007; Patrick Zimmermann (moHiJ) <patrick@zakweb.de>
ticpp-9999.ebuild:
make the ebuild fit the new svn structure
diff --git a/dev-util/ticpp/Manifest b/dev-util/ticpp/Manifest
index a688f75b6..07d54f920 100644
--- a/dev-util/ticpp/Manifest
+++ b/dev-util/ticpp/Manifest
@@ -1,3 +1,3 @@
-EBUILD ticpp-9999.ebuild 1202 RMD160 b0e34e9e1233b7d030490837bff187729f792b10 SHA1 5eae259161f7642b820cbc5f0ac5345788bf7588 SHA256 da20d66f217e9dea7fb1b2a2443759677549c9b37041dd266b3796e7a3dd0b6a
-MISC ChangeLog 512 RMD160 0c9abc8cccf341a4d3632be5c9b2abb1c5cf0ff8 SHA1 6bb190dec6cd8e3083dec2c2170aa3eac8d129b3 SHA256 4686153941e15a856e0aff1411b3de9a3f04e6e37e9a4e8ce0215bc6f302cf99
+EBUILD ticpp-9999.ebuild 1173 RMD160 c50358d5ddba575690409488bb31ae92d3a432b7 SHA1 6ca704decca95b649876d3ba007eaa7c86a695fe SHA256 ad6b69c39f62b7df0e778c2c6e61143618e8e853436cbfb043d205a8e872d90a
+MISC ChangeLog 674 RMD160 7193f86a876058a7c3df58cd1be06f37a7632990 SHA1 a32c99023940ab5d96d8347d6df77a4bca3347b6 SHA256 8a34a96cc00d905a555823ef12a24542d4e8537bbd5d6d1eed5d0c554f5c3046
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-util/ticpp/ticpp-9999.ebuild b/dev-util/ticpp/ticpp-9999.ebuild
index e066aed78..df62da93b 100644
--- a/dev-util/ticpp/ticpp-9999.ebuild
+++ b/dev-util/ticpp/ticpp-9999.ebuild
@@ -23,11 +23,10 @@ S=${WORKDIR}/${PN}
src_compile() {
premake --target gnu || die "creating Makefile failed"
- if use debug ; then
- emake || die "emake failed"
- else
- emake CONFIG=Release || die "emake failed"
+ if use !debug ; then
+ myconf="CONFIG=Release"
fi
+ emake ${myconf} || die "emake failed"
if use doc ; then
sed -i -e '/GENERATE_HTMLHELP/s:YES:NO:' dox || die "sed failed"
doxygen dox || die "doxygen failed"
@@ -36,7 +35,7 @@ src_compile() {
src_install () {
insinto /usr/include/ticpp
- doins ticpp.h ticpprc.h || die "installing headers failed"
+ doins *.h || die "installing headers failed"
if use debug ; then
dolib libticppd.a || die "installing library failed"